package SGN::View::BareMason::Commands;
use strict;
use vars qw($m $c);
#line 24 "/home/production/cxgn/sgn/mason/page/optional_show.mas"

  our $uniq_id_count;
HTML::Mason::Component::FileBased->new(
'code' => sub {
use utf8; local $SGN::View::BareMason::Commands::m = $HTML::Mason::Commands::m;
HTML::Mason::Exception::Params->throw
    ( error =>
      "Odd number of parameters passed to component expecting name/value pairs"
    ) if @_ % 2;
my ( $id, $title, $content, $default_show, $class );
{
    my %pos;
    for ( my $x = 0; $x < @_; $x += 2 )
    {
        $pos{ $_[$x] } = $x + 1;
    }

    foreach my $arg ( qw( title ) )
    {
        HTML::Mason::Exception::Params->throw
            ( error => "no value sent for required parameter '$arg'" )
                unless exists $pos{$arg};
    }
#line 18 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
     $id = exists $pos{'id'} ? $_[ $pos{'id'} ] :  'optional_show_'.++$uniq_id_count;
#line 19 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
    $title = $_[ $pos{'title'} ];
#line 20 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
     $content = exists $pos{'content'} ? $_[ $pos{'content'} ] :  '';
#line 21 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
     $default_show = exists $pos{'default_show'} ? $_[ $pos{'default_show'} ] :  0;
#line 22 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
     $class = exists $pos{'class'} ? $_[ $pos{'class'} ] :  '';
}
$m->debug_hook( $m->current_comp->path ) if ( HTML::Mason::Compiler::IN_PERL_DB() );

#line 16 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '
' );
#line 27 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '<!-- & /util/import_javascript.mas, classes => \'jqueryui\' & -->
<div id="' );
#line 28 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print(  $id  );
#line 28 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '" class="optional_show ' );
#line 28 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print(  $class  );
#line 28 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '">
    <h3 class="' );
#line 29 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print(  $default_show ? 'active' : ''  );
#line 29 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '"><span class="icon">&nbsp;</span><span class="title">' );
#line 29 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print(  $title  );
#line 29 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '</span></h3>
    <div>
       ' );
#line 31 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print(  $m->content || $content  );
#line 31 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '
    </div>
</div>
<script type="text/javascript">
    jQuery(function($) {
      $("#' );
#line 36 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print(  $id  );
#line 36 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( ' h3").click(function() {
        $(this).next().toggle();
        $(this).toggleClass(\'active\');
        return false;
      })' );
#line 40 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print(  $default_show ? '' : '.next().hide();'  );
#line 40 "/home/production/cxgn/sgn/mason/page/optional_show.mas"
$m->print( '
    });
</script>

' );
;return;
},
'declared_args' => {
  '$class' => { default => ' \'\'' },
  '$content' => { default => ' \'\'' },
  '$default_show' => { default => ' 0' },
  '$id' => { default => ' \'optional_show_\'.++$uniq_id_count' },
  '$title' => { default => undef }
},
'load_time' => 1729593556,

)
;